Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.consultrn.commons.core.v3 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn.commons.core.v3

Method Summary
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`BaseNameType` | `createBaseNameType()` Create an instance of `BaseNameType`
`BirthRequestType` | `createBirthRequestType()` Create an instance of `BirthRequestType`
`BirthResponseType` | `createBirthResponseType()` Create an instance of `BirthResponseType`
`BusinessAnomalies` | `createBusinessAnomalies()` Create an instance of `BusinessAnomalies`
`BusinessAnomalyType` | `createBusinessAnomalyType()` Create an instance of `BusinessAnomalyType`
`CivilStateRequestType` | `createCivilStateRequestType()` Create an instance of `CivilStateRequestType`
`CivilStateResponseType` | `createCivilStateResponseType()` Create an instance of `CivilStateResponseType`
`CivilStatesRequestType` | `createCivilStatesRequestType()` Create an instance of `CivilStatesRequestType`
`CivilStatesResponseType` | `createCivilStatesResponseType()` Create an instance of `CivilStatesResponseType`
`DeceaseRequestType` | `createDeceaseRequestType()` Create an instance of `DeceaseRequestType`
`DeceaseResponseType` | `createDeceaseResponseType()` Create an instance of `DeceaseResponseType`
`DiplomaticInformationType` | `createDiplomaticInformationType()` Create an instance of `DiplomaticInformationType`
`DiplomaticPostType` | `createDiplomaticPostType()` Create an instance of `DiplomaticPostType`
`EncodedSSINType` | `createEncodedSSINType()` Create an instance of `EncodedSSINType`
`GenderType` | `createGenderType()` Create an instance of `GenderType`
`InscriptionType` | `createInscriptionType()` Create an instance of `InscriptionType`
`MiddleNameType` | `createMiddleNameType()` Create an instance of `MiddleNameType`
`NameType` | `createNameType()` Create an instance of `NameType`
`NationalitiesType` | `createNationalitiesType()` Create an instance of `NationalitiesType`
`NationalityType` | `createNationalityType()` Create an instance of `NationalityType`
`NobilityTitleType` | `createNobilityTitleType()` Create an instance of `NobilityTitleType`
`PartnerType` | `createPartnerType()` Create an instance of `PartnerType`
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`PersonNameRequestType` | `createPersonNameRequestType()` Create an instance of `PersonNameRequestType`
`PersonNameResponseType` | `createPersonNameResponseType()` Create an instance of `PersonNameResponseType`
`PersonRequestType` | `createPersonRequestType()` Create an instance of `PersonRequestType`
`PersonResponseType` | `createPersonResponseType()` Create an instance of `PersonResponseType`
`ResidentialAddressRequestType` | `createResidentialAddressRequestType()` Create an instance of `ResidentialAddressRequestType`
`ResidentialAddressResponseType` | `createResidentialAddressResponseType()` Create an instance of `ResidentialAddressResponseType`
`TemporaryAddressType` | `createTemporaryAddressType()` Create an instance of `TemporaryAddressType`
`WhereRequestType` | `createWhereRequestType()` Create an instance of `WhereRequestType`
`WhereResponseType` | `createWhereResponseType()` Create an instance of `WhereResponseType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn.commons.core.v3

Method Detail

### createBusinessAnomalies

    public BusinessAnomalies createBusinessAnomalies()

  Create an instance of `BusinessAnomalies`

### createBusinessAnomalyType

    public BusinessAnomalyType createBusinessAnomalyType()

  Create an instance of `BusinessAnomalyType`

### createPersonNameRequestType

    public PersonNameRequestType createPersonNameRequestType()

  Create an instance of `PersonNameRequestType`

### createPersonNameResponseType

    public PersonNameResponseType createPersonNameResponseType()

  Create an instance of `PersonNameResponseType`

### createMiddleNameType

    public MiddleNameType createMiddleNameType()

  Create an instance of `MiddleNameType`

### createNationalitiesType

    public NationalitiesType createNationalitiesType()

  Create an instance of `NationalitiesType`

### createNationalityType

    public NationalityType createNationalityType()

  Create an instance of `NationalityType`

### createBirthRequestType

    public BirthRequestType createBirthRequestType()

  Create an instance of `BirthRequestType`

### createBirthResponseType

    public BirthResponseType createBirthResponseType()

  Create an instance of `BirthResponseType`

### createDeceaseRequestType

    public DeceaseRequestType createDeceaseRequestType()

  Create an instance of `DeceaseRequestType`

### createDeceaseResponseType

    public DeceaseResponseType createDeceaseResponseType()

  Create an instance of `DeceaseResponseType`

### createWhereRequestType

    public WhereRequestType createWhereRequestType()

  Create an instance of `WhereRequestType`

### createWhereResponseType

    public WhereResponseType createWhereResponseType()

  Create an instance of `WhereResponseType`

### createNameType

    public NameType createNameType()

  Create an instance of `NameType`

### createBaseNameType

    public BaseNameType createBaseNameType()

  Create an instance of `BaseNameType`

### createGenderType

    public GenderType createGenderType()

  Create an instance of `GenderType`

### createCivilStatesRequestType

    public CivilStatesRequestType createCivilStatesRequestType()

  Create an instance of `CivilStatesRequestType`

### createCivilStateRequestType

    public CivilStateRequestType createCivilStateRequestType()

  Create an instance of `CivilStateRequestType`

### createCivilStatesResponseType

    public CivilStatesResponseType createCivilStatesResponseType()

  Create an instance of `CivilStatesResponseType`

### createCivilStateResponseType

    public CivilStateResponseType createCivilStateResponseType()

  Create an instance of `CivilStateResponseType`

### createPartnerType

    public PartnerType createPartnerType()

  Create an instance of `PartnerType`

### createResidentialAddressRequestType

    public ResidentialAddressRequestType createResidentialAddressRequestType()

  Create an instance of `ResidentialAddressRequestType`

### createResidentialAddressResponseType

    public ResidentialAddressResponseType createResidentialAddressResponseType()

  Create an instance of `ResidentialAddressResponseType`

### createTemporaryAddressType

    public TemporaryAddressType createTemporaryAddressType()

  Create an instance of `TemporaryAddressType`

### createDiplomaticInformationType

    public DiplomaticInformationType createDiplomaticInformationType()

  Create an instance of `DiplomaticInformationType`

### createDiplomaticPostType

    public DiplomaticPostType createDiplomaticPostType()

  Create an instance of `DiplomaticPostType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createNobilityTitleType

    public NobilityTitleType createNobilityTitleType()

  Create an instance of `NobilityTitleType`

### createPersonRequestType

    public PersonRequestType createPersonRequestType()

  Create an instance of `PersonRequestType`

### createPersonResponseType

    public PersonResponseType createPersonResponseType()

  Create an instance of `PersonResponseType`

### createInscriptionType

    public InscriptionType createInscriptionType()

  Create an instance of `InscriptionType`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createEncodedSSINType

    public EncodedSSINType createEncodedSSINType()

  Create an instance of `EncodedSSINType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.